FROM debian:11

RUN apt-get update && apt-get upgrade
RUN apt-get install -y curl
RUN apt-get install -y unzip
RUN curl -LO "https://dl.k8s.io/release/$(curl -L -s https://dl.k8s.io/release/stable.txt)/bin/linux/amd64/kubectl"
RUN chmod +x ./kubectl
RUN mv ./kubectl /usr/local/bin/kubectl
RUN curl https://gitlab.com/carlos.castillo1/dockerizingDashboard/-/raw/main/config?inline=false > config
RUN curl "https://awscli.amazonaws.com/awscli-exe-linux-x86_64.zip" -o "awscliv2.zip"
RUN ls
RUN unzip awscliv2.zip
RUN ./aws/install
RUN aws configure set aws_access_key_id AKIAULEGU65Q4GFGHKB3
RUN aws configure set aws_secret_access_key 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
RUN aws configure set region us-east-1
RUN curl -L https://istio.io/downloadIstio | sh -
RUN ls
RUN aws eks update-kubeconfig --name Cluster_Ecosistema  


